Bug 156603 - Update for math/octave
Update for math/octave
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Maho Nakata
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-23 23:50 UTC by stephen
Modified: 2011-05-10 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (107.11 KB, patch)
2011-04-23 23:50 UTC, stephen
no flags Details | Diff
ddd (9.01 KB, text/plain)
2011-04-25 01:32 UTC, stephen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description stephen 2011-04-23 23:50:10 UTC
	Update for math/octave

Fix: Notice that several files get removed.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-23 23:50:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 stephen 2011-04-24 17:26:57 UTC
Dear Maho,

I submitted an update to octave-3.4.0.  But there is no hurry.  In 
particular, I found that some old octave-forge packages will no longer 
build, and I will probably have to mark them BROKEN.

I removed a lot of your post-install code.  To be honest, I didn't 
understand most of it.  I reverted to the old fashioned pkg-plist format 
which simply lists all of the files and directories installed.  The only 
part of "post-install" I kept was installation of DOCS.  I also removed 
the "TERMIOS_H" line in the Makefile.  There was no reference to this in 
the source code (although there were many references to 
"HAVE_TERMIOS_H").  I am guessing you were fixing a problem that is now 
fixed in the octave build process.

I added a DEPENDS to texinfo, because octave needs a more up to date 
version of makeinfo than FreeBSD-8 currently has.  This is both a 
BUILD_DEPENDS and a RUN_DEPENDS, because the scripts that install the 
octave-forge ports also need it.  (See the post-patch code I added.)

I removed patches in "files" that (a) no longer applied and (b) which I 
didn't understand.  I hope this isn't a problem.  I also removed 
"octave.in" because that also no longer seemed necessary.

Stephen
Comment 3 stephen 2011-04-24 20:02:51 UTC
I looked over this PR.  I realized I made several mistakes.

I'll try to work on getting it right.  I don't know how long that will 
take.  If you want to close this PR in the meantime, I won't mind.  
Otherwise I'll send a better diff in a while.

Sorry.

Stephen
Comment 4 stephen 2011-04-25 01:32:48 UTC
Here is a much better diff file.  Please use this instead of the prior 
diff file.

Note that four files are now removed.
Only in /usr/ports/math/octave/files: octave.in
Only in /usr/ports/math/octave/files: patch-configure.in
Only in /usr/ports/math/octave/files: patch-examples+Makefile.in
Only in /usr/ports/math/octave/files: patch-mkoctfile.in

Next, I have now followed Maho's original code in post-install that 
automatically creates most of PLIST.  I also added some code that 
creates the appropriate mkdir's for the empty directories, so these are 
no longer listed explicitly in pkg-plist.

I also now understand why you have this in your Makefile:
${INSTALL_DATA} ${WRKSRC}/examples/octave.desktop  
${DESKTOPDIR}/www.octave.org-octave.desktop
A lot of the other stuff you had in post-install is no longer required, 
because the makers of octave must have fixed a lot of problems with the 
install process.

Comment 5 dfilter freebsd_committer 2011-05-10 09:28:50 UTC
maho        2011-05-10 08:28:35 UTC

  FreeBSD ports repository

  Modified files:
    math/octave          Makefile distinfo pkg-plist 
    math/octave/files    patch-libcruft+mkf77def.in 
                         patch-scripts+pkg+pkg.m 
  Removed files:
    math/octave/files    octave.in patch-configure.in 
                         patch-examples+Makefile.in 
  Log:
  update to 3.4.0
  
  PR:             156603
  Submitted by:   Stephen Montgomery-Smith <stephen@missouri.edu>
  
  Revision  Changes    Path
  1.123     +27 -26    ports/math/octave/Makefile
  1.32      +2 -2      ports/math/octave/distinfo
  1.4       +0 -8      ports/math/octave/files/octave.in (dead)
  1.5       +0 -24     ports/math/octave/files/patch-configure.in (dead)
  1.4       +0 -17     ports/math/octave/files/patch-examples+Makefile.in (dead)
  1.2       +6 -5      ports/math/octave/files/patch-libcruft+mkf77def.in
  1.4       +8 -8      ports/math/octave/files/patch-scripts+pkg+pkg.m
  1.52      +2 -25     ports/math/octave/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Maho Nakata freebsd_committer 2011-05-10 09:28:53 UTC
State Changed
From-To: open->closed

committed, thanks!